const envParsed = require('dotenv').config().parsed;
const fs = require('fs');
const path = require('path');

let config = {}
//esdb 数据库
config.event_store = {
    connectUrl: envParsed.ESDB_CONNECT_URL
}

//mysql 数据库
config.mysql = {
    host: envParsed.MYSQL_HOST,
    port: envParsed.MYSQL_PORT,
    database: envParsed.MYSQL_DATABASE,
    username: envParsed.MYSQL_USERNAME,
    password: envParsed.MYSQL_PASSWORD
}

//redis 数据库
config.redis = {
    host: envParsed.REDIS_HOST,
    port: envParsed.REDIS_PORT,
    password: envParsed.REDIS_PASSWORD, // 如果 redis 不需要密码，请注释掉
}



config.NODE_ENV = envParsed.NODE_ENV;




exports.config = config;
